%define name xdrawchem
%define version 1.6.6
%define release 1mdk

Summary: 	2D chemical structures drawing tool
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source: 	xdrawchem-%{version}.tar.bz2
Source1:	mocify.cpp.bz2
Patch0:		xdrawchem-missing-include.patch.bz2
URL: 		http://www.prism.gatech.edu/~gte067k/xdrawchem
License: 	BSD
Group: 		Sciences/Chemistry
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	libqt3-devel libopenbabel-devel
Requires: 	libqt3 openbabel
Obsoletes:	kde3-xdrawchem
Provides:	kde3-xdrawchem

%description
XDrawChem is a two-dimensional molecule drawing program for Unix
operating systems.  It is similar in functionality to other molecule
drawing programs such as ChemDraw (TM, CambridgeSoft).  It can read
and write MDL Molfiles and CML files to allow sharing between
XDrawChem and other chemistry applications.

%prep

%setup -q
cd xdrawchem
bzcat %{SOURCE1} > mocify.cpp
gcc mocify.cpp -o mocify -L/usr/lib/qt3/lib -I/usr/lib/qt3/include -lqt-mt
chmod u+x mocify
ln -s /usr/lib/qt3/bin/moc
export PATH=`pwd`:$PATH
./mocify
cd ..

%patch0 -p1

%configure --with-openbabel=NO
#perl -p -i -e 's/\/usr\/share/\$RPM_BUILD_ROOT\/usr\/share/g' openbabel/Makefile

%build
export QTDIR=/usr/lib/qt3
export KDEDIR=%_prefix
export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH
%make qtlibname=qt-mt

%install
rm -rf $RPM_BUILD_ROOT
#install -d $RPM_BUILD_ROOT%{_bindir}
#install -d $RPM_BUILD_ROOT%{_libdir}/xdrawchem
%makeinstall DEST=$RPM_BUILD_ROOT/usr/bin

# menu
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="xdrawchem"\
needs="x11"\
section="Applications/Sciences/Chemistry"\
title="Xdrawchem"\
icon="chemistry_section.png"\
longtitle="2D chemical structures drawing tool"
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus


%postun
%clean_menus

%files
%defattr(-,root,root)
%doc %{_datadir}/%name/doc/*.png
%doc %{_datadir}/%name/doc/*.html
%doc %{_datadir}/%name/doc/*.txt
%_bindir/xdrawchem
%_datadir/xdrawchem/*.cml
%_datadir/xdrawchem/*.xpm
%_datadir/xdrawchem/*.png
%_datadir/xdrawchem/*.qm
%_datadir/xdrawchem/xdrawchemrc
%_menudir


%changelog
* Wed Feb 26 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.6.6-1mdk
- 1.6.6

* Wed Feb 19 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.6.5-1mdk
- 1.6.5

* Thu Feb 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.6.4-1mdk
- 1.6.4
- patch0: add missing iostream.h includes

* Thu Feb 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.6.3-1mdk
- 1.6.3

* Tue Jan 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.6.3-1mdk
- 1.6.3

* Thu Nov 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.6-1mdk
- from Austin Acton <aacton@yoroku.ca> :
	- 1.6
	- add 'mocify' program (from author) to rebuild moc files against qt 3.1
	- define qtlibname as qt-mt
	- diable included openbabel

* Wed Oct 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.5-1mdk
- from Austin Acton <aacton@yorku.ca>
	- 1.5.5

* Mon Oct 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.4-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- 1.5.4
  	- remove patch

* Mon Oct 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.3-1mdk
- once again, great work from Austin Acton <aacton@yorku.ca> :
  	- update to 1.5.3
  	- specfile rewrite for new configure script
  	- ioiface patch from author (1.5.4 won't need it)
  	- depends on openbabel
  	- ring files moved from libdir to datadir
  	- add full documentation and rc file

* Thu Sep  5 2002 Daouda LO <daouda@mandrakesoft.com> 1.4.1-3mdk
- rebuild

* Thu Aug 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.4.1-2mdk
- rebuild

* Thu Jul 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.4.1-1mdk
- 1.4.1

* Thu Jul 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.4-1mdk
- 1.4

* Fri Jun 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-1mdk
- 1.3.2

* Mon Jun 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.3.1-1mdk
- 1.3.1

* Fri May 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-1mdk
- New version

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-2mdk
- Rebuild against gcc3.1

* Thu May 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-1mdk
- port to kde3

* Thu Mar 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2
- Fix hard coded path

* Thu Mar 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Tue Feb 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0-1mdk
- 1.0
- fix menu
- remove useless ldconfig

* Wed Feb 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.99.9-1mdk
- 0.99.9

* Mon Jan 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.99.8-1mdk
- 0.99.8

* Tue Dec 18 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.99.7-1mdk
- 0.99.7

* Wed Dec 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.6-1mdk
- 0.99.6

* Thu Nov 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.4-1mdk
- 0.99.4

* Fri Oct 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.3-1mdk
- rebuild against new libpng
- 0.99.3

* Thu Sep 27 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.99.1-1mdk
- Update code (0.99.1)

* Mon Sep 24 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.99-1mdk
- Update code (0.99)

* Wed Sep 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.96-3mdk
- Fix icon 

* Tue Sep 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.96-2mdk
-Rebuild

* Tue Aug 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.96-1mdk
- 0.96

* Thu Aug 23 2001 Etienne Faure <etienne@mandrakesoft.com> 0.94-1mdk
- updated from Thomas Leclerc <leclerc@linux-mandrake.com> 0.94-1mdk
	- version 0.94
	- add menu entry

* Wed Jul 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.92-1mdk

- added in contribs by Thomas Leclerc <leclerc@linux-mandrake.com> :
        - version 0.92
	
* Tue Jul 10 2001 Thomas Leclerc <leclerc@linux-mandrake.com> 0.91-1mdk
- version 0.91
- remove matherr-patch (obsolete)

* Mon Jun 18 2001 Thomas Leclerc <leclerc@linux-mandrake.com> 0.9-1mdk
- initial mandrake release
- patch errors in libm usage

# end of file
